CompressedPoolingSegmentedFile (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.util

## Class CompressedPoolingSegmentedFile

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile
  - - org.apache.cassandra.io.util.PoolingSegmentedFile
    - - org.apache.cassandra.io.util.CompressedPoolingSegmentedFile

- All Implemented Interfaces:
    ICompressedFile

      public class CompressedPoolingSegmentedFile
      extends PoolingSegmentedFile
      implements ICompressedFile

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CompressedPoolingSegmentedFile.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CompressionMetadata` | `metadata`

    - ### Fields inherited from class org.apache.cassandra.io.util.SegmentedFile

      `length, onDiskLength, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressedPoolingSegmentedFile(java.lang.String path, CompressionMetadata metadata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Do whatever action is needed to reclaim ressources used by this SegmentedFile.
    `protected RandomAccessReader` | `createReader(java.lang.String path)`
    `CompressionMetadata` | `getMetadata()`

    - ### Methods inherited from class org.apache.cassandra.io.util.PoolingSegmentedFile

      `getSegment, recycle`

    - ### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile

      `getBuilder, getCompressedBuilder, getCompressedBuilder, iterator, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metadata

          public final CompressionMetadata metadata

  - ### Constructor Detail

    - #### CompressedPoolingSegmentedFile

          public CompressedPoolingSegmentedFile(java.lang.String path,
                                        CompressionMetadata metadata)

  - ### Method Detail

    - #### createReader

          protected RandomAccessReader createReader(java.lang.String path)

      Specified by:
        `createReader` in class `PoolingSegmentedFile`

    - #### getMetadata

          public CompressionMetadata getMetadata()

      Specified by:
        `getMetadata` in interface `ICompressedFile`

    - #### cleanup

          public void cleanup()

      Description copied from class: `SegmentedFile`
      Do whatever action is needed to reclaim ressources used by this SegmentedFile.
      Overrides:
        `cleanup` in class `PoolingSegmentedFile`

Copyright © 2014 The Apache Software Foundation